<?xml version='1.0' encoding='UTF-8'?>

<manifest>
  <remote name="aosp" fetch="https://android.googlesource.com/" review="https://android.googlesource.com/" />

  <default revision="master-kernel-build-2022" remote="aosp" sync-j="4" />

  <superproject name="kernel/superproject" remote="aosp" revision="common-android13-5.10" />

  <project path="build/kernel" name="kernel/build" revision="db399f6befedb2b312606635d2e4fe455408897c">
    <linkfile dest="tools/bazel" src="kleaf/bazel.sh" />

    <linkfile dest="WORKSPACE" src="kleaf/bazel.WORKSPACE" />

    <linkfile dest="build/build.sh" src="build.sh" />

    <linkfile dest="build/build_abi.sh" src="build_abi.sh" />

    <linkfile dest="build/build_test.sh" src="build_test.sh" />

    <linkfile dest="build/build_utils.sh" src="build_utils.sh" />

    <linkfile dest="build/config.sh" src="config.sh" />

    <linkfile dest="build/envsetup.sh" src="envsetup.sh" />

    <linkfile dest="build/_setup_env.sh" src="_setup_env.sh" />

    <linkfile dest="build/multi-switcher.sh" src="multi-switcher.sh" />

    <linkfile dest="build/abi" src="abi" />

    <linkfile dest="build/static_analysis" src="static_analysis" />
</project>

  <project path="hikey-modules" name="kernel/hikey-modules" revision="8864304543d16b95c9c268e4e156601ef9b499e7" />

  <project path="common" name="kernel/common" revision="6cbaa88f4ae0bccb6919ccc7b93926ee38557810">
    <linkfile dest=".source_date_epoch_dir" src="." />
</project>

  <project path="kernel/tests" name="kernel/tests" revision="42a77670ce44d6e19a6fbb8b93fa0b06f009a3a4" />

  <project path="kernel/configs" name="kernel/configs" revision="b3cc2bc03dab303c54a9ce1f709f8ee315eb311d" />

  <project path="common-modules/virtual-device" name="kernel/common-modules/virtual-device" revision="7d4ffda377b256bdc3a447018b051121772883df" />

  <project path="prebuilts/clang/host/linux-x86" name="platform/prebuilts/clang/host/linux-x86" clone-depth="1" revision="4bb6424cb1615af408ae80871131f4da8c4ddadf" />

  <project path="prebuilts/gcc/linux-x86/host/x86_64-linux-glibc2.17-4.8" name="platform/prebuilts/gcc/linux-x86/host/x86_64-linux-glibc2.17-4.8" clone-depth="1" revision="007101a451907c5369db5002ddf7b14dcefb7864" />

  <project path="prebuilts/boot-artifacts" name="platform/prebuilts/boot-artifacts" revision="45d30d07ad284018481ebb419b5d01b5de72ed02" />

  <project path="prebuilts/build-tools" name="platform/prebuilts/build-tools" clone-depth="1" revision="f6813860e16b2fa1461a15e7b8a3127dfdee021a" />

  <project path="prebuilts/kernel-build-tools" name="kernel/prebuilts/build-tools" clone-depth="1" revision="67705de48752ea5c9d7d679c737f6ebbc8ba7348" />

  <project path="tools/mkbootimg" name="platform/system/tools/mkbootimg" revision="2208a03d874255af1e4eaf6cf7c156fe1dc98943" />

  <project path="prebuilts/bazel/linux-x86_64" name="platform/prebuilts/bazel/linux-x86_64" clone-depth="1" revision="6162318e6458db65f94eed6671e302c3e894b1ac" />

  <project path="prebuilts/jdk/jdk11" name="platform/prebuilts/jdk/jdk11" clone-depth="1" revision="aee26c8cd89b9abb428f676caba168699cd8662f" />

  <project path="prebuilts/ndk-r23" name="toolchain/prebuilts/ndk/r23" clone-depth="1" revision="93532f3052c14fbb337ff57d5732128dc7481ee6" />

  <project path="external/bazel-skylib" name="platform/external/bazel-skylib" revision="f1fb8167b4ed64feb494fd1ea6a8a619bbb549de" />

  <project path="build/bazel_common_rules" name="platform/build/bazel_common_rules" revision="ddd2d82d10e21fb4137d2db3c1b848d6f1832acc" />

  <project path="external/stardoc" name="platform/external/stardoc" revision="b6ef2c6b6e39087f7396aaeb13c83464dfce4a19" />

  <project path="external/python/absl-py" name="platform/external/python/absl-py" revision="63f98de5b158481877489ca39158ed691f7551e1" />
</manifest>
